SDL_HINT_GAMECONTROLLERCONFIG(3)

NAME
SDL_HINT_GAMECONTROLLERCONFIG - A variable that lets you manually hint extra gamecontroller db entries.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_GAMECONTROLLERCONFIG SDL_GAMECONTROLLERCONFIG"

DESCRIPTION
The variable should be newline delimited rows of gamecontroller config data, see SDL_gamepad .h

You can update mappings after SDL is initialized with

SDL_GetGamepadMappingForGUID () and

SDL_AddGamepadMapping ()

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.